[arch-commits] Commit in minicom/repos (3 files)

Eric Belanger eric at archlinux.org
Thu Jul 10 21:22:39 EDT 2008


    Date: Thursday, July 10, 2008 @ 21:22:38
  Author: eric
Revision: 4859

Merged revisions 3157-4858 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/minicom/trunk

........
  r4781 | douglas | 2008-07-10 00:55:42 -0400 (Thu, 10 Jul 2008) | 2 lines
  
  upgpkg: minicom 2.3-1
      Updating for i686: 2.3 (will show 2.2 in --version)
........
  r4858 | eric | 2008-07-10 21:22:27 -0400 (Thu, 10 Jul 2008) | 2 lines
  
  upgpkg: minicom 2.3-1
      fixed md5sums and location of build directory
........

Added:
  minicom/repos/extra-x86_64/ChangeLog
    (from rev 4858, minicom/trunk/ChangeLog)
Modified:
  minicom/repos/extra-x86_64/	(properties)
  minicom/repos/extra-x86_64/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   24 +++++++++++++-----------
 2 files changed, 18 insertions(+), 11 deletions(-)


Property changes on: minicom/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /minicom/trunk:1-3156
   + /minicom/trunk:1-4858

Copied: minicom/repos/extra-x86_64/ChangeLog (from rev 4858, minicom/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-07-11 01:22:38 UTC (rev 4859)
@@ -0,0 +1,5 @@
+
+2008-07-10  Douglas Soares de Andrade  <douglas at archlinux.org>
+	
+	* Updated for i686: 2.3
+

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-11 01:22:27 UTC (rev 4858)
+++ extra-x86_64/PKGBUILD	2008-07-11 01:22:38 UTC (rev 4859)
@@ -2,24 +2,26 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: dorphell <dorphell at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
 pkgname=minicom
-pkgver=2.2
+pkgver=2.3
 pkgrel=1
 pkgdesc="A serial communication program"
-arch=(i686 x86_64)
+arch=('i686'  'x86_64')
+license=('GPL')
 depends=('bash')
-source=(http://alioth.debian.org/frs/download.php/1806/$pkgname-$pkgver.tar.gz)
+source=(http://alioth.debian.org/frs/download.php/2332/$pkgname-$pkgver.tar.gz)
+md5sums=('0ebe7a91898384ca906787cc4e2c3f25')
 	#http://www.gentoo.org/cgi-bin/viewcvs.cgi/*checkout*/net-dialup/minicom/files/minicom-2.1-gcc4.patch)
 url="http://alioth.debian.org/projects/minicom/"
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+    cd $startdir/src/$pkgname-$pkgver
+    
+    # arch64 fix / doesn't apply to 2.2, please check!
+    #[ "$CARCH" = "x86_64" ] && patch -Np1 -i ../minicom-2.1-gcc4.patch || return 1
 
-  # arch64 fix / doesn't apply to 2.2, please check!
-  #[ "$CARCH" = "x86_64" ] && patch -Np1 -i ../minicom-2.1-gcc4.patch || return 1
-
-  ./configure --prefix=/usr --sysconfdir=/etc
-  make || return 1
-  make DESTDIR=$startdir/pkg install
+    ./configure --prefix=/usr --sysconfdir=/etc
+    make || return 1
+    make DESTDIR=$startdir/pkg install
 }
-md5sums=('13933c8777839f00e3730df23599dc93')





More information about the arch-commits mailing list